Bug 613491 - NetworkManager does not connect to wireless connection automatically
NetworkManager does not connect to wireless connection automatically
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Dan Williams
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-11 21:52 EDT by James G. Brown III
Modified: 2014-12-01 18:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 12:59:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James G. Brown III 2010-07-11 21:52:00 EDT
Description of problem:

NetworkManager does not connect to wireless connection automatically


Version-Release number of selected component (if applicable):

NetworkManager-0.8.1-2.el6.i686

How reproducible:

100%

Steps to Reproduce:
1. Start up Lenovo X60 it does not connect
2. or put to sleep and upon wake up it does not connect
3.
  
Actual results:

Connection needs to be manually started, although the connect automatically for the wireless network is selected. 

Expected results:

Wireless connection automatically connects when in range. 

Additional info:
Comment 2 Dan Williams 2010-07-12 18:13:34 EDT
Is the wifi network you'd like to connect to a "hidden" or "non-broadcasting" network?

When this happens, can you run 'nm-tool' for me and paste/attach the output and indicate which AP you'd like to connect to?

Can you also include the last 20 lines or so of 'dmesg' when this occurs?
Comment 6 James G. Brown III 2010-07-12 19:17:16 EDT
Dan, To further clarify the network is saved and available to manually connect. In order to manually connect I go to Edit Connections... Select the wireless tab and the network. Finally, I am prompted for root's password and then am able to hit connect. 

- James
Comment 7 Dan Williams 2010-07-12 19:44:30 EDT
Can you grab the output of 'sudo iwlist wlan0 scan' from a terminal when NM does not automatically connect?  We need to see if the card is finding the AP at all; even if the AP doesn't broadcast it's name.

If you've connected to the AP at least once before, we should be caching it's BSSID and thus we can match up the scan result with the connection and connect automatically.  Apparently that's not happening.
Comment 10 Dan Williams 2010-07-14 10:44:49 EDT
Do you know which AP is the hidden one you want to connect to?
Comment 11 James G. Brown III 2010-07-14 21:25:02 EDT
Dan, It should be Cell 03 - Address: 00:13:10:8D:AD:B3 in the iwlist attachment. 

- James
Comment 13 Dan Williams 2010-07-21 17:42:38 EDT
Could you attach:

gconftool-2 --dump /system/networking/connections

for me so I can verify that the AP's BSSID is stored in the previously-used-BSSIDs section of the config?
Comment 15 Dan Williams 2010-07-27 15:11:37 EDT
Is the hidden SSID 'rh-wireless' or RH-WLAN-TRUST?

It looks like the hidden AP you want to connect to is not listed in the GConf configuration for any network, which means NM won't match it up with a scan result.  If you've connected to the AP at least once (or the card has automatically roamed to it) then the applet should scrape that BSSID and save it.  Have you used the "connect to hidden wireless network" item in the vicinity of this AP before?
Comment 19 Dan Williams 2011-02-03 17:00:11 EST
We need a bit more info here, if you wouldn't mind reproducing this when running NM manually if you can, then you can:

service NetworkManager stop
/usr/sbin/NetworkManager --no-daemon --log-level=debug

and we'll get a bunch of spew about what NM's doing for the WIFI.
Comment 21 RHEL Product and Program Management 2011-10-07 11:57:25 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 22 Dan Williams 2013-02-19 12:59:26 EST
Please reopen if you're able to get the requested information.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.